***

title: ai_stop
slug: /reference/python/rest/calling/ai-stop
description: Stop an active AI session on a call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Stop an active AI session on a call. The AI agent is disconnected but
the call itself remains active, allowing further call control operations.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```python {10}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

# Stop AI and then play a goodbye message
client.calling.ai_stop(call_id="call-id-xxx", control_id="ctrl-id")
client.calling.play(
    call_id="call-id-xxx",
    play=[{"type": "tts", "text": "Thank you for calling. Goodbye!"}]
)
client.calling.end(call_id="call-id-xxx", reason="hangup")
```